body {
    background-color: black;
    color: #ffffec;

    font-size: 1.3em;

    margin: 10px 20vh 10px 20vh;

    @media (max-width: 1024px) {
        margin: 40px 10vh 40px 10vh;
        font-size: 1.1em;
    }

    @media (max-width: 768px) {
        margin: 20px 20px 20px 20px;
        font-size: 0.8em;
    }
}

header {
    background-color: black;
    position: sticky;
    top: 0;
    z-index: 100;
    display: grid;
    grid-template-columns: fit-content(8ch) 1fr;
    text-align: left;
    img {
        width: 200px;
        height: auto;
    }
    #menu {
        align-content: center;
        ul {
            list-style: none;
            padding-left: 0;
        }
        ul > li {
            display: inline-block;
            padding: 0 2.5rem;

            @media (max-width: 768px) {
                padding: 0 1.5rem;
            }
        }
        a {
            color: inherit;
            text-decoration: none;
        }
        a:hover,
        a:active {
            color: #808e9b;
        }
    }
    @media (max-width: 768px) {
        display: inherit;
        text-align: center;
        img {
            width: 150px;
            height: auto;
        }
    }
}

/* inspired by https://responsivevideogallery.com/#html */
/* CSS Grid w/four columns */
.grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5px;
    @media (max-width: 1024px) {
        grid-template-columns: repeat(2, 1fr);
    }
    @media (max-width: 768px) {
        grid-template-columns: repeat(1, 1fr);
    }
}

/* image container with 16:9 aspect ratio */
.figure {
    position: relative;
    margin: 0 0 0;
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
}

/* responsive thumbnail images */
img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* play button to create the iframe */
.play_video {
    position: absolute;
    top: 50%;
    left: 50%;
    padding: 0.5rem 0.333rem 0.5rem 0.666rem;
    border: 2px solid #2d5273;
    border-radius: 50%;
    background-color: #fff;
    transform: translate(-50%, -50%);
    transition: background-color 300ms ease-in-out, border 300ms ease-in-out;
}

svg {
    width: 2rem;
    height: 2rem;
    fill: #2d5273;
    transition: fill 300ms ease-in-out;
}

/* focus + hover states for play button */
.play_video:focus,
.play_video:hover,
.play_video:active {
    border: 2px solid #fff;
    background-color: #2d5273;
}

.play_video:focus svg,
.play_video:hover svg,
.play_video:active svg {
    fill: #fff;
}

.video_title {
    font-size: clamp(2rem, 3vw, 2.5rem);
    font-weight: 500;
    letter-spacing: 0;
    text-transform: none;
    line-height: 1;
    text-align: center;
}

/* body class so page doesn't scroll when dialog is open */
.dialog {
    overflow: hidden;
}

/* dialog element */
.dialog_modal {
    max-width: min(100%, 150vh);
    padding: 2rem;
    border: 0;
    background-color: transparent;
}

/* iframe container for styling */
.dialog_frame {
    width: 1200px;
    max-width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
}

/* iframe that contains the video */
.dialog_modal iframe {
    display: block;
    width: 100%;
    height: 100%;
}

/* psuedo element for the dialog element */
.dialog_modal::backdrop {
    background-color: rgba(0, 0, 0, 75%);
}

/* button to close the dialog */
.close_dialog {
    padding: calc(0.5rem - 2px);
    position: absolute;
    top: 0;
    right: 0;
    border: 2px solid var(--white);
    border-radius: 50%;
    background-color: var(--black);
    z-index: 3;
    transition: background-color 300ms ease-in-out;
}

/* focus + hover for the close button */
.close_dialog:focus,
.close_dialog:hover,
.close_dialog:active {
    background-color: var(--white);
}

.close_dialog svg {
stroke: var(--white);
    transition: stroke 300ms ease-in-out;
}

.close_dialog:focus svg,
.close_dialog:hover svg,
.close_dialog:active svg {
    stroke: var(--black);
}

#agenda {
    table {
        text-align: left;
        font-size: 1.3em;
        td {
            padding: 10px 30px 10px 0;
        }
    }
    .agenda-date {

    }
}

